diff --git a/src/main/java/net/minecraft/core/net/command/CommandManager.java b/src/main/java/net/minecraft/core/net/command/CommandManager.java
index 894ec183f..2047e2745 100644
--- a/src/main/java/net/minecraft/core/net/command/CommandManager.java
+++ b/src/main/java/net/minecraft/core/net/command/CommandManager.java
@@ -23,53 +23,53 @@ public class CommandManager {
     private static final Collection<CommandRegistry> externalServerCommands = new ArrayList<>();
 
     public void init() {
-        AchievementCommand.register(DISPATCHER);
-        ClearCommand.register(DISPATCHER);
-        KillCommand.register(DISPATCHER);
-        SeedCommand.register(DISPATCHER);
-        SetBlockCommand.register(DISPATCHER);
-        SummonCommand.register(DISPATCHER);
-        TeleportCommand.register(DISPATCHER);
-        MessageCommand.register(DISPATCHER);
-        SetSpawnCommand.register(DISPATCHER);
-        TimeCommand.register(DISPATCHER);
-        GameModeCommand.register(DISPATCHER);
-        WeatherCommand.register(DISPATCHER);
-        SpawnCommand.register(DISPATCHER);
-        PlaceCommand.register(DISPATCHER);
-        HelpCommand.register(DISPATCHER);
-        ChunkCommand.register(DISPATCHER);
-        GiveCommand.register(DISPATCHER);
-        GameRuleCommand.register(DISPATCHER);
-        FillCommand.register(DISPATCHER);
-        CloneCommand.register(DISPATCHER);
-        BiomeCommand.register(DISPATCHER);
-        SayCommand.register(DISPATCHER);
-        TellRawCommand.register(DISPATCHER);
-        TestForCommand.register(DISPATCHER);
-        DamageCommand.register(DISPATCHER);
-        HealCommand.register(DISPATCHER);
-        MobSpawningCommand.register(DISPATCHER);
-        PlaySoundCommand.register(DISPATCHER);
-        SpawnParticleCommand.register(DISPATCHER);
+        CommandAchievement.register(DISPATCHER);
+        CommandClear.register(DISPATCHER);
+        CommandKill.register(DISPATCHER);
+        CommandSeed.register(DISPATCHER);
+        CommandSetBlock.register(DISPATCHER);
+        CommandSummon.register(DISPATCHER);
+        CommandTeleport.register(DISPATCHER);
+        CommandMessage.register(DISPATCHER);
+        CommandSetSpawn.register(DISPATCHER);
+        CommandTime.register(DISPATCHER);
+        CommandGameMode.register(DISPATCHER);
+        CommandWeather.register(DISPATCHER);
+        CommandSpawn.register(DISPATCHER);
+        CommandPlace.register(DISPATCHER);
+        CommandHelp.register(DISPATCHER);
+        CommandChunk.register(DISPATCHER);
+        CommandGive.register(DISPATCHER);
+        CommandGameRule.register(DISPATCHER);
+        CommandFill.register(DISPATCHER);
+        CommandClone.register(DISPATCHER);
+        CommandBiome.register(DISPATCHER);
+        CommandSay.register(DISPATCHER);
+        CommandTellRaw.register(DISPATCHER);
+        CommandTestFor.register(DISPATCHER);
+        CommandDamage.register(DISPATCHER);
+        CommandHeal.register(DISPATCHER);
+        CommandMobSpawning.register(DISPATCHER);
+        CommandPlaySound.register(DISPATCHER);
+        CommandSpawnParticle.register(DISPATCHER);
 
         if (this.isServer) {
-            StopCommand.register(DISPATCHER);
-            OpCommand.register(DISPATCHER);
-            DeopCommand.register(DISPATCHER);
-            ListCommand.register(DISPATCHER);
-            DifficultyCommand.register(DISPATCHER);
-            ColorCommand.register(DISPATCHER);
-            NicknameCommand.register(DISPATCHER);
-            WhoIsCommand.register(DISPATCHER);
-            ScoreCommand.register(DISPATCHER);
-            MeCommand.register(DISPATCHER);
-            EmotesCommand.register(DISPATCHER);
-            BanCommand.register(DISPATCHER);
-            UnbanCommand.register(DISPATCHER);
-            KickCommand.register(DISPATCHER);
-            WhitelistCommand.register(DISPATCHER);
-            SaveCommand.register(DISPATCHER);
+            CommandStop.register(DISPATCHER);
+            CommandOp.register(DISPATCHER);
+            CommandDeop.register(DISPATCHER);
+            CommandList.register(DISPATCHER);
+            CommandDifficulty.register(DISPATCHER);
+            CommandColor.register(DISPATCHER);
+            CommandNickname.register(DISPATCHER);
+            CommandWhoIs.register(DISPATCHER);
+            CommandScore.register(DISPATCHER);
+            CommandMe.register(DISPATCHER);
+            CommandEmotes.register(DISPATCHER);
+            CommandBan.register(DISPATCHER);
+            CommandUnban.register(DISPATCHER);
+            CommandKick.register(DISPATCHER);
+            CommandWhitelist.register(DISPATCHER);
+            CommandSave.register(DISPATCHER);
             for (CommandRegistry registry : externalServerCommands) {
                 registry.register(DISPATCHER);
             }
diff --git a/src/main/java/net/minecraft/core/net/command/arguments/AchievementArgumentType.java b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeAchievement.java
similarity index 94%
rename from src/main/java/net/minecraft/core/net/command/arguments/AchievementArgumentType.java
rename to src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeAchievement.java
index 2308ab8a3..44f9c7592 100644
--- a/src/main/java/net/minecraft/core/net/command/arguments/AchievementArgumentType.java
+++ b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeAchievement.java
@@ -16,11 +16,11 @@ import java.util.Collection;
 import java.util.Optional;
 import java.util.concurrent.CompletableFuture;
 
-public class AchievementArgumentType implements ArgumentType<Achievement> {
+public class ArgumentTypeAchievement implements ArgumentType<Achievement> {
     private static final Collection<String> EXAMPLES = Arrays.asList("achievement.acquireIron", "acquireIron");
 
     public static ArgumentType<Achievement> achievement() {
-        return new AchievementArgumentType();
+        return new ArgumentTypeAchievement();
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/core/net/command/arguments/BiomeArgumentType.java b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeBiome.java
similarity index 94%
rename from src/main/java/net/minecraft/core/net/command/arguments/BiomeArgumentType.java
rename to src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeBiome.java
index f2eb235fa..c75ebaeac 100644
--- a/src/main/java/net/minecraft/core/net/command/arguments/BiomeArgumentType.java
+++ b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeBiome.java
@@ -16,11 +16,11 @@ import java.util.Collection;
 import java.util.Optional;
 import java.util.concurrent.CompletableFuture;
 
-public class BiomeArgumentType implements ArgumentType<Biome> {
+public class ArgumentTypeBiome implements ArgumentType<Biome> {
     private static final Collection<String> EXAMPLES = Arrays.asList("overworld", "nether");
 
-    public static BiomeArgumentType biome() {
-        return new BiomeArgumentType();
+    public static ArgumentTypeBiome biome() {
+        return new ArgumentTypeBiome();
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/core/net/command/arguments/BlockArgumentType.java b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeBlock.java
similarity index 95%
rename from src/main/java/net/minecraft/core/net/command/arguments/BlockArgumentType.java
rename to src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeBlock.java
index 0c8aadfab..f6af6ba89 100644
--- a/src/main/java/net/minecraft/core/net/command/arguments/BlockArgumentType.java
+++ b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeBlock.java
@@ -17,11 +17,11 @@ import java.util.List;
 import java.util.Locale;
 import java.util.concurrent.CompletableFuture;
 
-public class BlockArgumentType implements ArgumentType<BlockInput> {
+public class ArgumentTypeBlock implements ArgumentType<BlockInput> {
     private static final List<String> EXAMPLES = Arrays.asList("minecraft:block/stone", "block/stone", "minecraft:block/log_oak[1]");
 
     public static ArgumentType<BlockInput> block() {
-        return new BlockArgumentType();
+        return new ArgumentTypeBlock();
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/core/net/command/arguments/ChunkCoordinatesArgumentType.java b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeChunkCoordinates.java
similarity index 95%
rename from src/main/java/net/minecraft/core/net/command/arguments/ChunkCoordinatesArgumentType.java
rename to src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeChunkCoordinates.java
index 4ab680257..15284fa12 100644
--- a/src/main/java/net/minecraft/core/net/command/arguments/ChunkCoordinatesArgumentType.java
+++ b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeChunkCoordinates.java
@@ -18,11 +18,11 @@ import java.util.Collection;
 import java.util.List;
 import java.util.concurrent.CompletableFuture;
 
-public class ChunkCoordinatesArgumentType implements ArgumentType<Coordinates2D> {
+public class ArgumentTypeChunkCoordinates implements ArgumentType<Coordinates2D> {
     private static final List<String> EXAMPLES = Arrays.asList("~ ~", "0 0 0", "~60 ~", "~-20 -25");
 
-    public static ChunkCoordinatesArgumentType chunkCoordinates() {
-        return new ChunkCoordinatesArgumentType();
+    public static ArgumentTypeChunkCoordinates chunkCoordinates() {
+        return new ArgumentTypeChunkCoordinates();
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/core/net/command/arguments/DamageTypeArgumentType.java b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeDamageType.java
similarity index 92%
rename from src/main/java/net/minecraft/core/net/command/arguments/DamageTypeArgumentType.java
rename to src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeDamageType.java
index 8454fe8d2..6c7dc2125 100644
--- a/src/main/java/net/minecraft/core/net/command/arguments/DamageTypeArgumentType.java
+++ b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeDamageType.java
@@ -15,11 +15,11 @@ import java.util.Collection;
 import java.util.Optional;
 import java.util.concurrent.CompletableFuture;
 
-public class DamageTypeArgumentType implements ArgumentType<DamageType> {
+public class ArgumentTypeDamageType implements ArgumentType<DamageType> {
     private static final Collection<String> EXAMPLES = Arrays.asList("damagetype.combat", "damagetype.blast");
 
-    public static DamageTypeArgumentType damageType() {
-        return new DamageTypeArgumentType();
+    public static ArgumentTypeDamageType damageType() {
+        return new ArgumentTypeDamageType();
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/core/net/command/arguments/DimensionArgumentType.java b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeDimension.java
similarity index 92%
rename from src/main/java/net/minecraft/core/net/command/arguments/DimensionArgumentType.java
rename to src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeDimension.java
index 7667e1779..fc27fffc8 100644
--- a/src/main/java/net/minecraft/core/net/command/arguments/DimensionArgumentType.java
+++ b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeDimension.java
@@ -16,11 +16,11 @@ import java.util.Map;
 import java.util.Optional;
 import java.util.concurrent.CompletableFuture;
 
-public class DimensionArgumentType implements ArgumentType<Dimension> {
+public class ArgumentTypeDimension implements ArgumentType<Dimension> {
     private static final Collection<String> EXAMPLES = Arrays.asList("overworld", "nether");
 
-    public static DimensionArgumentType dimension() {
-        return new DimensionArgumentType();
+    public static ArgumentTypeDimension dimension() {
+        return new ArgumentTypeDimension();
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/core/net/command/arguments/EntityArgumentType.java b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeEntity.java
similarity index 85%
rename from src/main/java/net/minecraft/core/net/command/arguments/EntityArgumentType.java
rename to src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeEntity.java
index 6bd8e6da8..51e212cbd 100644
--- a/src/main/java/net/minecraft/core/net/command/arguments/EntityArgumentType.java
+++ b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeEntity.java
@@ -17,30 +17,30 @@ import java.util.Arrays;
 import java.util.Collection;
 import java.util.concurrent.CompletableFuture;
 
-public class EntityArgumentType implements ArgumentType<EntitySelector> {
+public class ArgumentTypeEntity implements ArgumentType<EntitySelector> {
     private static final Collection<String> EXAMPLES = Arrays.asList("Player", "0123", "@e", "@e[type=foo]", EntitySelector.ENTITY_PREFIX + "11203");
 
     private final boolean singleEntity, playerOnly;
 
-    private EntityArgumentType(boolean singleEntity, boolean playerOnly) {
+    private ArgumentTypeEntity(boolean singleEntity, boolean playerOnly) {
         this.singleEntity = singleEntity;
         this.playerOnly = playerOnly;
     }
 
-    public static EntityArgumentType entities() {
-        return new EntityArgumentType(false, false);
+    public static ArgumentTypeEntity entities() {
+        return new ArgumentTypeEntity(false, false);
     }
 
-    public static EntityArgumentType entity() {
-        return new EntityArgumentType(true, false);
+    public static ArgumentTypeEntity entity() {
+        return new ArgumentTypeEntity(true, false);
     }
 
-    public static EntityArgumentType players() {
-        return new EntityArgumentType(false, true);
+    public static ArgumentTypeEntity players() {
+        return new ArgumentTypeEntity(false, true);
     }
 
-    public static EntityArgumentType player() {
-        return new EntityArgumentType(true, true);
+    public static ArgumentTypeEntity player() {
+        return new ArgumentTypeEntity(true, true);
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/core/net/command/arguments/EntitySummonArgumentType.java b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeEntitySummon.java
similarity index 94%
rename from src/main/java/net/minecraft/core/net/command/arguments/EntitySummonArgumentType.java
rename to src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeEntitySummon.java
index 2033a84c2..76aa1e92b 100644
--- a/src/main/java/net/minecraft/core/net/command/arguments/EntitySummonArgumentType.java
+++ b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeEntitySummon.java
@@ -15,11 +15,11 @@ import java.util.Collection;
 import java.util.List;
 import java.util.concurrent.CompletableFuture;
 
-public class EntitySummonArgumentType implements ArgumentType<Class<? extends Entity>> {
+public class ArgumentTypeEntitySummon implements ArgumentType<Class<? extends Entity>> {
     private static final List<String> EXAMPLES = Arrays.asList("Creeper", "Skeleton", "Slime");
 
     public static ArgumentType<Class<? extends Entity>> entity() {
-        return new EntitySummonArgumentType();
+        return new ArgumentTypeEntitySummon();
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/core/net/command/arguments/GameModeArgumentType.java b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeGameMode.java
similarity index 94%
rename from src/main/java/net/minecraft/core/net/command/arguments/GameModeArgumentType.java
rename to src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeGameMode.java
index 247a5cc2d..8bca8bfc1 100644
--- a/src/main/java/net/minecraft/core/net/command/arguments/GameModeArgumentType.java
+++ b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeGameMode.java
@@ -15,11 +15,11 @@ import java.util.Collection;
 import java.util.Optional;
 import java.util.concurrent.CompletableFuture;
 
-public class GameModeArgumentType implements ArgumentType<Gamemode> {
+public class ArgumentTypeGameMode implements ArgumentType<Gamemode> {
     private static final Collection<String> EXAMPLES = Arrays.asList(Gamemode.creative.getLanguageKey(), Gamemode.survival.getLanguageKey());
 
     public static ArgumentType<Gamemode> gameMode() {
-        return new GameModeArgumentType();
+        return new ArgumentTypeGameMode();
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/core/net/command/arguments/GenericGameRuleArgumentType.java b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeGameruleGeneric.java
similarity index 86%
rename from src/main/java/net/minecraft/core/net/command/arguments/GenericGameRuleArgumentType.java
rename to src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeGameruleGeneric.java
index fc9d36aef..337a2cf72 100644
--- a/src/main/java/net/minecraft/core/net/command/arguments/GenericGameRuleArgumentType.java
+++ b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeGameruleGeneric.java
@@ -12,16 +12,16 @@ import net.minecraft.core.lang.I18n;
 
 import java.util.concurrent.CompletableFuture;
 
-public class GenericGameRuleArgumentType implements ArgumentType<Object> {
+public class ArgumentTypeGameruleGeneric implements ArgumentType<Object> {
     private final GameRule<?> gameRule;
     private static final SimpleCommandExceptionType FAILURE = new SimpleCommandExceptionType(() -> I18n.getInstance().translateKey("command.argument_types.gamerule.invalid_value"));
 
-    private GenericGameRuleArgumentType(GameRule<?> gameRule) {
+    private ArgumentTypeGameruleGeneric(GameRule<?> gameRule) {
         this.gameRule = gameRule;
     }
 
-    public static GenericGameRuleArgumentType gameRule(GameRule<?> gameRule) {
-        return new GenericGameRuleArgumentType(gameRule);
+    public static ArgumentTypeGameruleGeneric gameRule(GameRule<?> gameRule) {
+        return new ArgumentTypeGameruleGeneric(gameRule);
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/core/net/command/arguments/IntegerCoordinatesArgumentType.java b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeIntegerCoordinates.java
similarity index 96%
rename from src/main/java/net/minecraft/core/net/command/arguments/IntegerCoordinatesArgumentType.java
rename to src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeIntegerCoordinates.java
index 4ac4ce3ec..98f268447 100644
--- a/src/main/java/net/minecraft/core/net/command/arguments/IntegerCoordinatesArgumentType.java
+++ b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeIntegerCoordinates.java
@@ -18,11 +18,11 @@ import java.util.Collection;
 import java.util.List;
 import java.util.concurrent.CompletableFuture;
 
-public class IntegerCoordinatesArgumentType implements ArgumentType<IntegerCoordinates> {
+public class ArgumentTypeIntegerCoordinates implements ArgumentType<IntegerCoordinates> {
     private static final List<String> EXAMPLES = Arrays.asList("~ ~ ~", "0 0 0", "~ ~60 ~", "~-20 ~10 -25");
 
-    public static IntegerCoordinatesArgumentType intCoordinates() {
-        return new IntegerCoordinatesArgumentType();
+    public static ArgumentTypeIntegerCoordinates intCoordinates() {
+        return new ArgumentTypeIntegerCoordinates();
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/core/net/command/arguments/ItemStackArgumentType.java b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeItemStack.java
similarity index 95%
rename from src/main/java/net/minecraft/core/net/command/arguments/ItemStackArgumentType.java
rename to src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeItemStack.java
index 3ff6c9992..fa6e28af6 100644
--- a/src/main/java/net/minecraft/core/net/command/arguments/ItemStackArgumentType.java
+++ b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeItemStack.java
@@ -17,11 +17,11 @@ import java.util.List;
 import java.util.Locale;
 import java.util.concurrent.CompletableFuture;
 
-public class ItemStackArgumentType implements ArgumentType<ItemStack> {
+public class ArgumentTypeItemStack implements ArgumentType<ItemStack> {
     private static final List<String> EXAMPLES = Arrays.asList("minecraft:item/iron_sword", "minecraft:item/iron_sword{name:\"Sword\", overrideName: true}", "minecraft:block/log_oak");
 
     public static ArgumentType<ItemStack> itemStack() {
-        return new ItemStackArgumentType();
+        return new ArgumentTypeItemStack();
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/core/net/command/arguments/ParticleIdArgumentType.java b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeParticleId.java
similarity index 94%
rename from src/main/java/net/minecraft/core/net/command/arguments/ParticleIdArgumentType.java
rename to src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeParticleId.java
index d5a31bee7..cfe3900e6 100644
--- a/src/main/java/net/minecraft/core/net/command/arguments/ParticleIdArgumentType.java
+++ b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeParticleId.java
@@ -15,11 +15,11 @@ import java.util.List;
 import java.util.Locale;
 import java.util.concurrent.CompletableFuture;
 
-public class ParticleIdArgumentType implements ArgumentType<String> {
+public class ArgumentTypeParticleId implements ArgumentType<String> {
     private static final List<String> EXAMPLES = Arrays.asList("fireflyGreen", "explode", "soulflame");
 
     public static ArgumentType<String> particleId() {
-        return new ParticleIdArgumentType();
+        return new ArgumentTypeParticleId();
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/core/net/command/arguments/SeasonArgumentType.java b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeSeason.java
similarity index 95%
rename from src/main/java/net/minecraft/core/net/command/arguments/SeasonArgumentType.java
rename to src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeSeason.java
index 8d9867b18..8d2805996 100644
--- a/src/main/java/net/minecraft/core/net/command/arguments/SeasonArgumentType.java
+++ b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeSeason.java
@@ -18,11 +18,11 @@ import java.util.Collection;
 import java.util.List;
 import java.util.concurrent.CompletableFuture;
 
-public class SeasonArgumentType implements ArgumentType<String> {
+public class ArgumentTypeSeason implements ArgumentType<String> {
     private static final List<String> EXAMPLES = Arrays.asList("overworld.winter", "overworld.summer", "paradise.gold");
 
     public static ArgumentType<String> season() {
-        return new SeasonArgumentType();
+        return new ArgumentTypeSeason();
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/core/net/command/arguments/SoundCategoryArgumentType.java b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeSoundCategory.java
similarity index 94%
rename from src/main/java/net/minecraft/core/net/command/arguments/SoundCategoryArgumentType.java
rename to src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeSoundCategory.java
index 7db0ab24a..1aa871781 100644
--- a/src/main/java/net/minecraft/core/net/command/arguments/SoundCategoryArgumentType.java
+++ b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeSoundCategory.java
@@ -15,11 +15,11 @@ import java.util.List;
 import java.util.Locale;
 import java.util.concurrent.CompletableFuture;
 
-public class SoundCategoryArgumentType implements ArgumentType<SoundCategory> {
+public class ArgumentTypeSoundCategory implements ArgumentType<SoundCategory> {
     private static final List<String> EXAMPLES = Arrays.asList("MUSIC", "WORLD_SOUNDS", "WEATHER_SOUNDS");
 
     public static ArgumentType<SoundCategory> soundCategory() {
-        return new SoundCategoryArgumentType();
+        return new ArgumentTypeSoundCategory();
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/core/net/command/arguments/SoundIdArgumentType.java b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeSoundId.java
similarity index 95%
rename from src/main/java/net/minecraft/core/net/command/arguments/SoundIdArgumentType.java
rename to src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeSoundId.java
index 342cf8f3b..925aeb8b2 100644
--- a/src/main/java/net/minecraft/core/net/command/arguments/SoundIdArgumentType.java
+++ b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeSoundId.java
@@ -18,11 +18,11 @@ import java.util.Collection;
 import java.util.List;
 import java.util.concurrent.CompletableFuture;
 
-public class SoundIdArgumentType implements ArgumentType<String> {
+public class ArgumentTypeSoundId implements ArgumentType<String> {
     private static final List<String> EXAMPLES = Arrays.asList("random.fuse.lit", "note.snare", "mob.skeletonhurt");
 
     public static ArgumentType<String> soundId() {
-        return new SoundIdArgumentType();
+        return new ArgumentTypeSoundId();
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/core/net/command/arguments/TimeArgumentType.java b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeTime.java
similarity index 90%
rename from src/main/java/net/minecraft/core/net/command/arguments/TimeArgumentType.java
rename to src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeTime.java
index b75757b98..a084a1512 100644
--- a/src/main/java/net/minecraft/core/net/command/arguments/TimeArgumentType.java
+++ b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeTime.java
@@ -17,23 +17,23 @@ import java.util.HashMap;
 import java.util.Map;
 import java.util.concurrent.CompletableFuture;
 
-public class TimeArgumentType implements ArgumentType<Integer> {
+public class ArgumentTypeTime implements ArgumentType<Integer> {
     private static final Collection<String> EXAMPLES = Arrays.asList("0d", "0s", "0t", "0");
     private static final SimpleCommandExceptionType ERROR_INVALID_UNIT = new SimpleCommandExceptionType(() -> I18n.getInstance().translateKey("command.argument_types.time.invalid_unit"));
     private static final Dynamic2CommandExceptionType ERROR_TICK_COUNT_TOO_LOW = new Dynamic2CommandExceptionType((object, object2) -> () -> I18n.getInstance().translateKeyAndFormat("command.argument_types.time.tick_count_too_low", object2, object));
     private static final Map<String, Integer> UNITS = new HashMap<>();
     final int minimum;
 
-    private TimeArgumentType(int i) {
+    private ArgumentTypeTime(int i) {
         this.minimum = i;
     }
-
-    public static TimeArgumentType time() {
-        return new TimeArgumentType(0);
+    
+    public static ArgumentTypeTime time() {
+        return new ArgumentTypeTime(Integer.MIN_VALUE);
     }
 
-    public static TimeArgumentType time(int i) {
-        return new TimeArgumentType(i);
+    public static ArgumentTypeTime time(int i) {
+        return new ArgumentTypeTime(i);
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/core/net/command/arguments/Vec3ArgumentType.java b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeVec3.java
similarity index 96%
rename from src/main/java/net/minecraft/core/net/command/arguments/Vec3ArgumentType.java
rename to src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeVec3.java
index a23b840b4..3baaf8c04 100644
--- a/src/main/java/net/minecraft/core/net/command/arguments/Vec3ArgumentType.java
+++ b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeVec3.java
@@ -17,11 +17,11 @@ import java.util.Collection;
 import java.util.List;
 import java.util.concurrent.CompletableFuture;
 
-public class Vec3ArgumentType implements ArgumentType<DoubleCoordinates> {
+public class ArgumentTypeVec3 implements ArgumentType<DoubleCoordinates> {
     private static final List<String> EXAMPLES = Arrays.asList("~ ~ ~", "0 0 0", "~ ~60 ~", "~-20 ~10 ~-25.5");
 
-    public static Vec3ArgumentType vec3d() {
-        return new Vec3ArgumentType();
+    public static ArgumentTypeVec3 vec3d() {
+        return new ArgumentTypeVec3();
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/core/net/command/arguments/WeatherArgumentType.java b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeWeather.java
similarity index 92%
rename from src/main/java/net/minecraft/core/net/command/arguments/WeatherArgumentType.java
rename to src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeWeather.java
index 46aaa0d04..8d513a743 100644
--- a/src/main/java/net/minecraft/core/net/command/arguments/WeatherArgumentType.java
+++ b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeWeather.java
@@ -16,11 +16,11 @@ import java.util.Collection;
 import java.util.Optional;
 import java.util.concurrent.CompletableFuture;
 
-public class WeatherArgumentType implements ArgumentType<Weather> {
+public class ArgumentTypeWeather implements ArgumentType<Weather> {
     private static final Collection<String> EXAMPLES = Arrays.asList(Weathers.OVERWORLD_CLEAR.languageKey, Weathers.OVERWORLD_FOG.languageKey);
 
-    public static WeatherArgumentType weather() {
-        return new WeatherArgumentType();
+    public static ArgumentTypeWeather weather() {
+        return new ArgumentTypeWeather();
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/core/net/command/arguments/WorldFeatureArgumentType.java b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeWorldFeature.java
similarity index 94%
rename from src/main/java/net/minecraft/core/net/command/arguments/WorldFeatureArgumentType.java
rename to src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeWorldFeature.java
index d57950592..6d94479f9 100644
--- a/src/main/java/net/minecraft/core/net/command/arguments/WorldFeatureArgumentType.java
+++ b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeWorldFeature.java
@@ -14,11 +14,11 @@ import java.util.Arrays;
 import java.util.Collection;
 import java.util.concurrent.CompletableFuture;
 
-public class WorldFeatureArgumentType implements ArgumentType<WorldFeature> {
+public class ArgumentTypeWorldFeature implements ArgumentType<WorldFeature> {
     private static final Collection<String> EXAMPLES = Arrays.asList("Dungeon[2, 2, 2]", "Cactus");
 
     public static ArgumentType<WorldFeature> worldFeature() {
-        return new WorldFeatureArgumentType();
+        return new ArgumentTypeWorldFeature();
     }
 
     @Override
